When will Insights support postgreSQL databases?

833
10
Jump to solution
11-09-2017 02:43 PM
RichelleSpry
New Contributor III

I had heard rumors that support for postgres databases (similar to those mentioned here) in Insights, is currently been worked on. Is this true, and if so when can it be expected?

Thanks!

1 Solution

Accepted Solutions
DouglasCochran
Occasional Contributor II

Hi, I can't give specific dates, but "yes" support for PostgreSQL is true, and targeted very soon in our next Insights in ArcGIS Enterprise update.  

View solution in original post

10 Replies
DouglasCochran
Occasional Contributor II

Hi, I can't give specific dates, but "yes" support for PostgreSQL is true, and targeted very soon in our next Insights in ArcGIS Enterprise update.  

RichelleSpry
New Contributor III

Thanks Douglas, I will keep an eye out for it in the next update. 

Do you know if this will include enterprise PostgreSQL geodatabases?

0 Kudos
DouglasCochran
Occasional Contributor II

Yes, as with our current version of Insights for ArcGIS version 2.1, which has geodatabase support for Oracle and SQL Server, we plan to implement the same for PostgreSQL.

RichelleSpry
New Contributor III

Excellent, thank you Douglas

0 Kudos
MarianoPalomares
New Contributor II

Hello, any update on supporting Postgresql from Inisghts @Douglas Cochran?

0 Kudos
ScottSandusky
Esri Contributor

Hello Mariano,

We still definitely plan to support Postgresql (PostGIS and ST).  This slipped from our original target data mentioned above.  I estimate our release in Q1 2019 will have this feature.

MarianoPalomares
New Contributor II

Thanks @Scott Sandusky , really good news that Insiths will support PostgreSQL early next year.

Many thanks for your quick answer.

0 Kudos
AndrewClark2
New Contributor III

Hello Scott,

Do you have any launch date ready for this support? Just to confirm, we will need the PostgreSQL built as an Enterprise Geodatabase to fully support this?

Cheers,

Andrew

0 Kudos
ScottSandusky
Esri Contributor

Hi Andrew,

Our Insights 3.2 and 3.2.1 release will be available within about a month.  It will require ArcGIS Enterprise 10.7 (Insights 3.2.1) or ArcGIS Enterprsie 10.6.1 (Insights 3.2).  Both of these will be released at the same time, in a few weeks.  They will support connecting to native PostgreSQL using their native spatial type, or the esri spatial type.  It can be a geodatabase, but it doesn't have to.  So no, it does not need to be an Enterprise geodatabase.  Does that answer?

0 Kudos